PDA

View Full Version : Using more than one version of Sencha Cmd



patrickrs
10 Jun 2016, 11:11 AM
Thanks for themer...I'm excited to start using it.

Because we use automation to build our Sencha theme, the Cmd version I use to package it must be the same as the version used by automation. That is currently 6.1.2.15.

If I install Sencha Cmd 6.2, that becomes the default version. Lee Boonstra posted this article a while back on running multiple versions of Cmd, but following her instructions doesn't seem to work anymore: http://www.ladysign-apps.com/developer/running-multiple-sencha-cmd-versions-for-example-to-support-sencha-architect/#.V1sOLrsrLRb.

Is there an easy way to configure my environment variables to install 6.2, but retain the older Cmd version as my default? I'm using a 64-bit Windows 7 machine. Thanks!

mitchellsimoens
10 Jun 2016, 11:19 AM
Check out the sencha switch command: http://docs.sencha.com/cmd/6.x/advanced_cmd/cmd_reference.html#sencha_switch

Don't remember what version this was actually added but it's been in there for a little bit now.

patrickrs
10 Jun 2016, 11:30 AM
Awesome! I missed that one; glad to see that's an option. Thank you!